> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Entry Data

> Retrieves information on a field in the report's Entry data with aggregation.



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/entry_data/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/entry_data/:
    get:
      tags:
        - Reports
      summary: Entry Data
      description: >-
        Retrieves information on a field in the report's Entry data with
        aggregation.
      operationId: reports_entry_data_list
      parameters:
        - in: query
          name: aggregation_type
          schema:
            type: string
            enum:
              - average
              - count
              - max
              - min
              - sum
          description: >-
            The type of aggregation to perform on the field. Any fields that are
            STR values only support `count`.
          required: true
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: >-
            Optional configuration id to retrieve. If not provided, the primary
            configuration will be used.
        - in: query
          name: fieldname
          schema:
            type: string
          description: >-
            The field name to aggregate on. Ex: Gender, Occupation, involved,
            ...
          required: true
        - in: query
          name: group_results
          schema:
            type: boolean
            default: false
          description: Whether to group the results or not.
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InlineReportEntryData'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    InlineReportEntryData:
      type: object
      properties:
        group_value:
          type: string
        aggregated_value:
          type: number
          format: double
      required:
        - aggregated_value
        - group_value
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````